OTBCLI_DISPARITYMAPTOELEVATIONMAP(1)

NAME
otbcli_DisparityMapToElevationMap - OTB DisparityMapToElevationMap application

DESCRIPTION
This is the DisparityMapToElevationMap application, version 5.2.0 Projects a disparity map into a regular elevation map

Complete documentation: http://www.orfeo-toolbox.org/Applications/DisparityMapToElevationMap.html

  Parameters:

-progress
    <boolean> Report progress

 -io.in <string> Input disparity map (mandatory)
 -io.left <string> Left sensor image (mandatory)
 -io.right <string> Right sensor image (mandatory)
 -io.lgrid <string> Left Grid (mandatory)
 -io.rgrid <string> Right Grid (mandatory)
 -io.out <string> [pixel] Output elevation map [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-io.mask
    <string> Disparity mask (optional, off by default)

-step
    <float> DEM step (mandatory, default value is 5)

-hmin
    <float> Minimum elevation expected (mandatory, default value is 0)

-hmax
    <float> Maximum elevation expected (mandatory, default value is 100)

-elev.dem
    <string> DEM directory (optional, off by default)

-elev.geoid
    <string> Geoid File (optional, off by default)

-elev.default <float>
    Default elevation (mandatory, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_DisparityMapToElevationMap -io.in disparity.tif -io.left sensor_left.tif -io.right sensor_right.tif -io.lgrid grid_epi_left.tif -io.rgrid grid_epi_right.tif -io.out dem.tif

SEE ALSO
The full documentation for otbcli_DisparityMapToElevationMap is maintained as a Texinfo manual. If the info and otbcli_DisparityMapToElevationMap programs are properly installed at your site, the command

    info otbcli_DisparityMapToElevationMap

should give you access to the complete manual.